smart_proxy_dynflow_core is not restarted after re-configuration

03/12/2021 12:45 PM - Evgeni Golov

Status: Closed   

Priority: High   

Assignee: Evgeni Golov   

Category: Foreman modules   

Target version: 2.3.5   

Difficulty:  Fixed in Releases: 2.3.5, 2.4.0

Triaged: Yes Found in Releases: 2.3.3, 2.4.0

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-for

eman_proxy/pull/653,

https://github.com/theforeman/foreman-i

nstaller/pull/662,

https://github.com/theforeman/puppet-for

eman_proxy/pull/681,

https://github.com/theforeman/foreman-i

nstaller/pull/688

  

Description

Ohai,

during plugin testing we found out that sp_d_core is not restarted after a re-configuration by the installer, thus still running a wrong

config (see https://community.theforeman.org/t/foreman-plugins-2-4-rpm-test-pipeline-1-failed/22742/).

The core (heh) of the problem is that we assumed that A~>B~>C in Puppet means that a change to A also will notify C, but that is not

the case. (

https://github.com/theforeman/puppet-foreman_proxy/blob/aeb026b6758f5b9752de2b579f931596d6de1311/manifests/plugin/dynflow

.pp#L54-L71)

A wrongly configured dynflow_core after an upgrade essentially means no working tasks :(

Associated revisions

Revision 763aba8f - 03/16/2021 02:11 PM - Evgeni Golov

Fixes #32078 - explicitly notify dynflow core service on changes

History

#1 - 03/12/2021 12:48 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/puppet-foreman_proxy/pull/653 added

#2 - 03/16/2021 02:11 PM - The Foreman Bot

- Fixed in Releases 2.5.0 added

#3 - 03/16/2021 02:29 PM - Ewoud Kohl van Wijngaarden

- Target version set to 2.4.0

Right now I'm targeting this at 2.4 but it should also be picked to 2.3.

#4 - 03/16/2021 03:01 PM - Evgeni Golov

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-foreman_proxy|763aba8f18e028548152d8a41bbafc142702c5e8.
#5 - 03/18/2021 11:43 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/662 added

#6 - 03/18/2021 11:44 AM - Ewoud Kohl van Wijngaarden

- Triaged changed from No to Yes

- Fixed in Releases 2.4.0 added

- Fixed in Releases deleted (2.5.0)

#7 - 06/07/2021 01:48 PM - Tomer Brisker

- Target version changed from 2.4.0 to 2.3.5

#8 - 06/08/2021 10:16 AM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-foreman_proxy/pull/681 added

#9 - 06/08/2021 03:59 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/688 added

#10 - 06/08/2021 07:50 PM - Ewoud Kohl van Wijngaarden

- Fixed in Releases 2.3.5 added
